%define         configfilename        sample.wmixrc

Name:           wmix
Version:        3.5
Release:        %mkrel 2
Summary:        A dock application that is a small sound mixer
License:        GPLv2
Group:          Sound/Mixers

URL:            https://www.dockapps.net/wmix
Source0:        https://www.dockapps.net/download/wmix-%{version}.tar.gz

BuildRequires:  glibc-devel
BuildRequires:  pkgconfig(xpm)
BuildRequires:  pkgconfig(x11) 
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(xrandr)
BuildRequires:  pkgconfig(alsa)

#needs /dev/mixer to work
Recommends:      alsa-oss
Recommends:      ossp 



%description
Wmix is a dock application mixer designed to adjust sound levels for
ALSA under OSS compatibility. You can either use the genuine OSS layer
of ALSA or the OSS Proxy Daemon under PULSE. It allows toggling record
source, muting individual channels, adjusting volume and balance, all
in a compact size, with TV-like on-screen-display for volume
levels. It also supports the mouse wheel to adjust current channel
volume and can be controlled remotely. Some features can be specified
through a configuration file assumed to reside in your home directory,
an example of which being provided in
%{_datadir}/%{name}/%{configfilename}.


%prep
%setup -q 


%build
autoreconf --force --install
%configure
%make_build CFLAGS="%optflags -fcommon" LDFLAGS="%ldflags"


%install
%make_install
install -D -m 644 sample.wmixrc %{buildroot}%{_datadir}/%{name}/%{configfilename}



%files
%doc AUTHORS BUGS NEWS README 
%{_bindir}/%{name}
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/%{configfilename}
%{_datadir}/applications/*.desktop
%{_mandir}/man1/%{name}.1*




%changelog
* Wed Mar 30 2022 umeabot <umeabot> 3.5-2.mga9
+ Revision: 1835320
- Mageia 9 Mass Rebuild

* Sat Jul 11 2020 eatdirt <eatdirt> 3.5-1.mga8
+ Revision: 1605150
- Upgrade to version 3.5

* Mon Jul 06 2020 joequant <joequant> 3.4-2.mga8
+ Revision: 1602556
- bump
- run gcc10

* Sun Mar 22 2020 eatdirt <eatdirt> 3.4-1.mga8
+ Revision: 1558740
- Upgrade to version 3.4

* Fri Feb 14 2020 umeabot <umeabot> 3.3-3.mga8
+ Revision: 1518202
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 3.3-2.mga7
+ Revision: 1301696
- Mageia 7 Mass Rebuild

* Sun Jun 24 2018 eatdirt <eatdirt> 3.3-1.mga7
+ Revision: 1239469
- Fix missing BR to alsa-devel
- Fix missing BR to xrandr-devel
- Upgrade to version 3.3

* Mon Feb 08 2016 umeabot <umeabot> 3.2-7.mga6
+ Revision: 945305
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 3.2-6.mga5
+ Revision: 740280
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.2-5.mga5
+ Revision: 690342
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Fri Oct 18 2013 umeabot <umeabot> 3.2-4.mga4
+ Revision: 520214
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 3.2-3.mga3
+ Revision: 385757
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 06 2012 eatdirt <eatdirt> 3.2-2.mga3
+ Revision: 314660
- Fix obsolete group
- Rebuild for mga3

* Fri Nov 18 2011 eatdirt <eatdirt> 3.2-1.mga2
+ Revision: 168783
- Upgrade to 3.2

* Fri Nov 11 2011 eatdirt <eatdirt> 3.1-1.mga2
+ Revision: 166731
- imported package wmix


* Fri Nov 11 2011 Chris Ringeval <dirteat@gmail.com> 3.1-1.mga2
- import wmix
